# -*- rpm-spec -*-
# $Id: kernel-source-qla2x00,v 1.5 2003/11/03 08:17:00 ed Exp $
#

%define module_name	qla2x00
%define module_version	6.05.00
%define module_release	b9
%define module_fullversion	%{module_version}%{module_release}

Name: kernel-source-%module_name
Version: %module_version
Release: alt4.%module_release

Summary: Linux %module_name module sources
License: GPL
Group: Development/Kernel
Url: http://www.qlogic.com/support/os_detail.asp?productid=112&osid=26
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: %module_name-v%module_fullversion-dist.tgz
Patch0:  %module_name-scsincludes-alt.patch
Patch1: %module_name-6.05.00b9-fix-mode.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
%module_name module sources for Linux kernel

%prep

%__rm -rf qlogic
%__rm -rf %module_name-%module_fullversion

%__tar -zxf %SOURCE0

%__mkdir_p %module_name-%module_fullversion
%__tar zxvf ./qlogic/%{module_name}src-v%module_fullversion.tgz -C %module_name-%module_fullversion

cd %module_name-%module_fullversion
%patch0 -p1
%patch1 -p1
cd ..

%__tar -jcvf %module_name-%module_fullversion.tar.bz2 \
	%module_name-%module_fullversion

%install
%__mkdir_p %kernel_srcdir
%__install -m644 %module_name-%module_fullversion.tar.bz2 %kernel_srcdir

%files
%kernel_src/*

%changelog
* Mon Apr 26 2004 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt4.b9
- Fix mode for device node in /proc.

* Thu Oct 30 2003 Ed V. Bartosh <ed@altlinux.ru> 6.05.00-alt3.b9
- Change packager to ed@altlinux.ru

* Thu Aug  7 2003 Ed V. Bartosh <ed@sam-solutions.net> 6.05.00-alt2.b9
- qla2x00-scsincludes-alt.patch added

* Fri Aug  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 6.05.00-alt1.b9
- Initial release

